{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To edit a team, the authenticated user must either be an organization owner or a team maintainer.\n\n> [!NOTE]\n> You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}`.","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."},"team_slug":{"type":"string","description":"The slug of the team name."}},"required":["org","team_slug"],"additionalProperties":false},"body":{"type":"object","properties":{"name":{"type":"string","description":"The name of the team."},"description":{"type":"string","description":"The description of the team."},"privacy":{"type":"string","description":"The level of privacy this team should have. Editing teams without specifying this parameter leaves `privacy` intact. When a team is nested, the `privacy` for parent teams cannot be `secret`. The options are:  \n**For a non-nested team:**  \n * `secret` - only visible to organization owners and members of this team.  \n * `closed` - visible to all members of this organization.  \n**For a parent or child team:**  \n * `closed` - visible to all members of this organization.","enum":["secret","closed"]},"notification_setting":{"type":"string","description":"The notification setting the team has chosen. Editing teams without specifying this parameter leaves `notification_setting` intact. The options are: \n * `notifications_enabled` - team members receive notifications when the team is @mentioned.  \n * `notifications_disabled` - no one receives notifications.","enum":["notifications_enabled","notifications_disabled"]},"permission":{"type":"string","description":"**Closing down notice**. The permission that new repositories will be added to the team with when none is specified.","enum":["pull","push","admin"],"default":"pull"},"parent_team_id":{"type":["integer","null"],"description":"The ID of a team to set as the parent team."},"parent_team_slug":{"type":["string","null"],"description":"The slug of a team to set as the parent team. Ignored when `parent_team_id` is also provided."}},"examples":[{"name":"new team name","description":"new team description","privacy":"closed","notification_setting":"notifications_enabled"}]}},"required":["path"],"additionalProperties":false},"name":"Update a team","id":"github.teams.update-in-org","example":{"path":{"org":"example","team_slug":"example"}},"maxRequests":1,"summary":false}}